Bug 116066 - Do not bloat HTMLTokenizer with a giant inline InputStreamPreprocessor::peek
Summary: Do not bloat HTMLTokenizer with a giant inline InputStreamPreprocessor::peek
Status: RESOLVED FIXED
Alias: None
Product: WebKit
Classification: Unclassified
Component: Page Loading (show other bugs)
Version: 528+ (Nightly build)
Hardware: Unspecified Unspecified
: P2 Normal
Assignee: Benjamin Poulain
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2013-05-13 15:59 PDT by Ryosuke Niwa
Modified: 2013-05-15 01:28 PDT (History)
5 users (show)

See Also:


Attachments
Patch (3.82 KB, patch)
2013-05-14 19:17 PDT, Benjamin Poulain
rniwa: review+
Details | Formatted Diff | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Ryosuke Niwa 2013-05-13 15:59:10 PDT
We should probably merge
https://chromium.googlesource.com/chromium/blink/+/45e0337b2f2db535ab08365f6e763a5015e4d990

Shrunk HTMLTokenizer.o by 28.2%

This CL moves the cold code in InputStreamPreprocessor::peek out-of-line, which
shrunks HTMLTokenizer.o on Linux by 28.2%. The CL also makes the
html-parser.html performance test faster by 1.3% (average of 15 runs).
Comment 1 Alexey Proskuryakov 2013-05-14 09:55:15 PDT
Size of a raw object file is a funny metric - perhaps useful as a tool to discover optimization opportunities, but certainly not a goal in itself :)

> html-parser.html performance test faster by 1.3% (average of 15 runs).

This is of course more interesting.
Comment 2 Benjamin Poulain 2013-05-14 13:41:57 PDT
(In reply to comment #1)
> Size of a raw object file is a funny metric - perhaps useful as a tool to discover optimization opportunities, but certainly not a goal in itself :)

We were as confused as you by that claim.
Comment 3 Benjamin Poulain 2013-05-14 13:42:14 PDT
I'll take this one.
Comment 4 Benjamin Poulain 2013-05-14 19:17:39 PDT
Created attachment 201779 [details]
Patch
Comment 5 Benjamin Poulain 2013-05-15 01:28:15 PDT
Committed r150105: <http://trac.webkit.org/changeset/150105>